Bug 1737988

Summary: gtk2 depends on Python 2
Product: [Fedora] Fedora Reporter: Lumír Balhar <lbalhar>
Component: gtk2Assignee: Matthias Clasen <mclasen>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 31CC: caillon+fedoraproject, gnome-sig, john.j5live, mclasen, mhroncok, mkasik, pviktori, rhughes, rstrode, sandmann
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: gtk2-2.24.32-6.fc32 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-09-03 20:22:28 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1737933, 1698500    

Description Lumír Balhar 2019-08-06 12:19:36 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for gtk2's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to gtk2.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 17:12:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:49:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-14 08:44:59 UTC
Please answer the above questions. If you don't the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, please let us know.

Comment 4 Petr Viktorin 2019-08-19 12:44:56 UTC
This package might need to stay on Python 2, so Gimp can be kept in Fedora.

Are you OK maintaining the Python 2 parts of gtk2-devel in Fedora 32, and in future Fedoras until Gimp stops needing it?

Comment 5 Lumír Balhar 2019-08-26 13:47:15 UTC
Could you please answer the question from the previous comment?

Comment 6 Lumír Balhar 2019-09-03 09:59:22 UTC
Could you please answer the question from the previous comment?

Comment 7 Petr Viktorin 2019-09-03 12:20:36 UTC
I have proposed this patch upstream: https://gitlab.gnome.org/GNOME/gtk/merge_requests/1080
That and changing the shebang to python3 should do the trick.

Comment 8 Petr Viktorin 2019-09-03 14:34:57 UTC
Accepted upstream.
Fedora PR: https://src.fedoraproject.org/rpms/gtk2/pull-request/1

Comment 9 Miro Hrončok 2019-09-03 20:22:28 UTC
\o/